Skip to content
Toggle Menu
Scarab
Get Started
Usage
References
Demo
Search
Ctrl
K
Cancel
GitHub
Toggle theme
Overview
Auth & Identity
Section titled “Auth & Identity”
Login/session, the current principal, OIDC discovery and JWKS, and RBAC role bindings.
Operations
Section titled “Operations”
GET
/.well-known/jwks.json
GET
/.well-known/openid-configuration
GET
/v1/auth/callback
GET
/v1/auth/login
POST
/v1/auth/login
POST
/v1/auth/logout
GET
/v1/me
GET
/v1/orgs/{org}/bindings
PUT
/v1/orgs/{org}/bindings
DELETE
/v1/orgs/{org}/bindings
POST
/v1/repos/{org}/{repo}/bindings/import
On this page
Overview
Auth & Identity
Operations
Get Started
Usage
References
Demo
Get Started
Overview
Installation
Run locally
Local Development
Usage
Pipeline Syntax
Secrets
Environments
Environment Variables
References
API
Thesis & language (CONTEXT)